package com.aizuda.boot.config;

import com.aizuda.core.api.ApiAssert;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.servlet.AsyncHandlerInterceptor;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import java.util.Objects;

/**
 * 方法阻断拦截器，禁止演示非法操作
 *
 * @author jobob
 * @since 2022-01-03
 */
public class BlockMethodHandlerInterceptor implements AsyncHandlerInterceptor {

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        ApiAssert.fail(!Objects.equals("OPTIONS", request.getMethod())
                        && !Objects.equals("GET", request.getMethod())
                        && !request.getRequestURI().contains("/page")
                        && !request.getRequestURI().contains("/monitor")
                        && !request.getRequestURI().contains("/list-tree")
                        && !request.getRequestURI().contains("/login/system"),
                "演示模式无法执行该操作！");
        return true;
    }
}
