package com.aizuda.boot.modules.common.controller;

import com.aizuda.oss.IFileStorage;
import com.aizuda.oss.model.OssResult;
import com.baomidou.kisso.annotation.Permission;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.net.URLEncoder;

@Tag(name = "oss文件存储")
@RestController
@RequestMapping("/v1/oss")
public class OssController {
    @Resource
    private IFileStorage fileStorage;

    @Permission(ignore = true)
    @PostMapping(value = "/upload", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    public OssResult upload(@RequestPart("file") MultipartFile file) {
        // 其它参数 @ParameterObject AttachmentDTO dto
        OssResult ossResult = null;
        try {
            ossResult = fileStorage.upload(file);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return ossResult;
    }

    @Permission(ignore = true)
    @GetMapping("/download")
    public void download(HttpServletResponse response, String objectName) {
        try {
            response.setHeader("Content-Disposition", "attachment;filename=" +
                    URLEncoder.encode(objectName, "UTF-8"));
            fileStorage.download(response, objectName);
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Permission(ignore = true)
    @GetMapping("/delete")
    public boolean delete(String objectName) {
        boolean result = false;
        try {
            result = fileStorage.delete(objectName);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return result;
    }
}
