package com.aizuda.boot.modules.flw.entity;

import com.aizuda.core.bean.BaseEntity;
import com.aizuda.core.validation.Create;
import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.PositiveOrZero;
import jakarta.validation.constraints.Size;
import lombok.Getter;
import lombok.Setter;

/**
 * 流程分类
 *
 * @author 青苗
 * @since 2023-09-07
 */
@Getter
@Setter
@Schema(name = "FlwProcessCategory", description = "流程分类")
public class FlwProcessCategory extends BaseEntity {

	@Schema(description = "名称")
	@NotBlank(groups = Create.class)
	@Size(max = 50)
	private String name;

	@Schema(description = "备注")
	@Size(max = 255)
	private String remark;

	@Schema(description = "排序")
	@PositiveOrZero
	private Integer sort;

}
