package com.aizuda.boot.modules.flw.entity.dto;

import com.aizuda.boot.modules.flw.entity.FlwProcessActor;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

/**
 * 流程定义参与者DTO
 *
 * @author 青苗
 * @since 2023-09-07
 */
@Getter
@Setter
public class FlwProcessActorDTO {

    @Schema(description = "参与者ID")
    private Long actorId;

    @Schema(description = "参与者")
    private String actorName;

    @Schema(description = "参与者类型 0，用户 1，部门 2，用户组")
    private Integer actorType;

    public static FlwProcessActorDTO of(FlwProcessActor flwProcessActor) {
        FlwProcessActorDTO dto = new FlwProcessActorDTO();
        dto.setActorId(flwProcessActor.getActorId());
        dto.setActorName(flwProcessActor.getActorName());
        dto.setActorType(flwProcessActor.getActorType());
        return dto;
    }

    public FlwProcessActor toFlwProcessActor(Long processId) {
        FlwProcessActor fpa = new FlwProcessActor();
        fpa.setProcessId(processId);
        fpa.setActorId(this.actorId);
        fpa.setActorName(this.actorName);
        fpa.setActorType(this.actorType);
        return fpa;
    }
}
