package com.aizuda.boot.modules.flw.service;

import com.aizuda.boot.modules.flw.entity.dto.FlwProcessDTO;
import com.aizuda.boot.modules.flw.entity.vo.FlwProcessCategoryVO;
import com.aizuda.service.service.IBaseService;
import com.flowlong.bpm.engine.entity.FlwProcess;

import java.util.List;

/**
 * 流程分类 服务类
 *
 * @author 青苗
 * @since 2023-09-07
 */
public interface IFlwProcessService extends IBaseService<FlwProcess> {

    /**
     * 流程定义分类查询所有流程定义列表
     *
     * @param keyword 搜索关键词
     * @return
     */
    List<FlwProcessCategoryVO> listCategoryAll(String keyword);

    /**
     * 根据ID查询流程定义相关信息
     *
     * @param id 流程定义ID
     * @return
     */
    FlwProcessDTO getDtoById(Long id);

    /**
     * 创建添加流程定义配置
     *
     * @param dto 流程定义配置 DTO
     * @return 流程定义ID
     */
    Long saveDto(FlwProcessDTO dto);

    /**
     * 根据ID删除流程定义相关信息
     *
     * @param id 流程定义ID
     * @return
     */
    boolean removeProcessInfo(Long id);

    /**
     * 根据ID更新流程定义排序
     *
     * @param id   流程定义ID
     * @param sort 流程定义排序
     * @return
     */
    boolean updateSortById(Long id, Integer sort);

    /**
     * 根据ID更新流程定义流程状态
     *
     * @param id    流程定义ID
     * @param state 流程状态 0，不可用 1，可用
     * @return
     */
    boolean updateSateById(Long id, Integer state);

    /**
     * 根据ID克隆流程定义信息
     *
     * @param id 流程定义ID
     * @return
     */
    boolean cloneById(Long id);
}
