package com.aizuda.boot.modules.flw.service.impl;

import com.aizuda.boot.modules.flw.entity.FlwProcessCategory;
import com.aizuda.boot.modules.flw.entity.dto.FlwCategorySortDTO;
import com.aizuda.boot.modules.flw.mapper.FlwProcessCategoryMapper;
import com.aizuda.boot.modules.flw.service.IFlwProcessCategoryService;
import com.aizuda.boot.modules.flw.service.IFlwProcessConfigureService;
import com.aizuda.core.api.ApiAssert;
import com.aizuda.service.service.BaseServiceImpl;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 流程分类 服务实现类
 *
 * @author 青苗
 * @since 2023-09-07
 */
@Service
@AllArgsConstructor
public class FlwProcessCategoryServiceImpl extends BaseServiceImpl<FlwProcessCategoryMapper, FlwProcessCategory> implements IFlwProcessCategoryService {
    private IFlwProcessConfigureService flwProcessConfigureService;

    @Override
    public boolean updateById(FlwProcessCategory flwProcessCategory) {
        ApiAssert.fail(null == flwProcessCategory.getId(), "主键不存在无法更新");
        return super.updateById(flwProcessCategory);
    }

    @Override
    public boolean removeCategoryByIds(List<Long> ids) {
        ApiAssert.fail(flwProcessConfigureService.existByCategoryIds(ids), "存在流程定义关联不允许删除");
        return super.removeByIds(ids);
    }

    @Override
    public boolean sort(List<FlwCategorySortDTO> dtoList) {
        return super.updateBatchById(dtoList.stream().map(t -> {
            FlwProcessCategory fpc = new FlwProcessCategory();
            fpc.setId(t.getId());
            fpc.setSort(t.getSort());
            return fpc;
        }).collect(Collectors.toList()));
    }
}
