/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.boot.modules.system.entity.param;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotEmpty;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 分配部门参数，多用户分配多部门
 *
 * @author 青苗
 * @since 2023-10-08
 */
@Getter
@Setter
public class AssignDepartmentsParam {

    @Schema(description = "用户ID列表")
    @NotEmpty
    private List<Long> userIds;

    @Schema(description = "部门ID列表")
    @NotEmpty
    private List<Long> departmentIds;

}
