/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.boot.modules.system.service;

import com.aizuda.service.service.IBaseService;
import com.aizuda.boot.modules.system.entity.SysResourceApi;

import java.util.List;

/**
 * 系统资源接口 服务类
 *
 * @author 青苗
 * @since 2022-02-26
 */
public interface ISysResourceApiService extends IBaseService<SysResourceApi> {

    /**
     * 根据资源ID查询接口权限列表
     *
     * @param resourceId 资源ID
     * @return
     */
    List<SysResourceApi> listByResourceId(Long resourceId);

    /**
     * 根据用户ID查询权限编码列表
     *
     * @param userId 用户ID
     * @return
     */
    List<String> listCodesByUserId(Long userId);

    boolean removeByResourceId(Long resourceId);
}
