/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.boot.modules.system.service;

import com.aizuda.boot.modules.system.entity.param.ResourceParam;
import com.aizuda.service.service.IBaseService;
import com.aizuda.boot.modules.system.entity.SysResource;
import com.aizuda.boot.modules.system.entity.vo.ResourceTreeVO;
import com.aizuda.service.web.UserSession;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.Map;

/**
 * 系统资源 服务类
 *
 * @author 青苗
 * @since 2021-11-07
 */
public interface ISysResourceService extends IBaseService<SysResource> {

    Page<SysResource> page(Page<SysResource> page, SysResource sysResource);

    /**
     * 树列表
     */
    List<ResourceTreeVO> listTree();

    /**
     * 权限菜单列表
     *
     * @param userSession {@link UserSession}
     * @return
     */
    Map<String, Object> listMenuPermissions(UserSession userSession);

    /**
     * 更新菜单
     *
     * @param param {@link ResourceParam}
     * @return
     */
    boolean updateByResourceParam(ResourceParam param);
}
