/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.boot.modules.system.service;

import com.aizuda.boot.modules.system.entity.param.AssignRolesParam;
import com.aizuda.service.service.IBaseService;
import com.aizuda.boot.modules.system.entity.SysUserRole;

import java.util.List;

/**
 * 系统用户角色 服务类
 *
 * @author 青苗
 * @since 2021-11-03
 */
public interface ISysUserRoleService extends IBaseService<SysUserRole> {

    /**
     * 用户角色分配
     *
     * @param assignRolesParam 分配角色参数对象
     * @return
     */
    boolean assignRoles(AssignRolesParam assignRolesParam);

    /**
     * 根据用户ID查询关联角色ID列表
     *
     * @param userId 用户ID
     * @return
     */
    List<Long> listRoleIdsByUserId(Long userId);

    /**
     * 判断是否存在关联角色
     *
     * @param roleId 角色ID
     * @return
     */
    boolean existRelByRoleId(Long roleId);
}
