/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.boot.modules.system.service;

import com.aizuda.boot.modules.system.entity.param.ResetPasswordParam;
import com.aizuda.boot.modules.system.entity.param.SysUserParam;
import com.aizuda.boot.modules.system.entity.vo.SysUserRelIdsVO;
import com.aizuda.service.service.IBaseService;
import com.aizuda.boot.modules.system.entity.SysUser;
import com.aizuda.boot.modules.system.entity.vo.SysUserVO;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

/**
 * 系统用户 服务类
 *
 * @author 青苗
 * @since 2021-11-03
 */
public interface ISysUserService extends IBaseService<SysUser> {

    Page<SysUser> page(Page<SysUser> page, SysUserVO vo);

    /**
     * 查询满足 20 条记录的用户列表
     */
    List<SysUser> list20ByUsername(String username);

    boolean save(SysUserParam param);

    boolean updateById(SysUserParam param);

    boolean resetPassword(ResetPasswordParam param);

    /**
     * 根据 ID 获取关联角色部门ID列表
     */
    SysUserRelIdsVO getRelIdsById(Long id);

}
