/*
 * 爱组搭，低代码组件化开发平台
 * ------------------------------------------
 * 受知识产权保护，请勿删除版权申明，开发平台不允许做非法网站，后果自负
 */
package com.aizuda.boot.modules.system.service.impl;

import com.aizuda.boot.modules.system.mapper.SysResourceApiMapper;
import com.aizuda.boot.modules.system.service.ISysResourceApiService;
import com.aizuda.service.service.BaseServiceImpl;
import com.aizuda.boot.modules.system.entity.SysResourceApi;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 系统资源接口 服务实现类
 *
 * @author 青苗
 * @since 2022-02-26
 */
@Service
public class SysResourceApiServiceImpl extends BaseServiceImpl<SysResourceApiMapper, SysResourceApi> implements ISysResourceApiService {

    @Override
    public List<SysResourceApi> listByResourceId(Long resourceId) {
        return super.list(Wrappers.<SysResourceApi>lambdaQuery().eq(SysResourceApi::getResourceId, resourceId));
    }

    @Override
    public List<String> listCodesByUserId(Long userId) {
        return baseMapper.selectCodesByUserId(userId);
    }

    @Override
    public boolean removeByResourceId(Long resourceId) {
        return super.remove(Wrappers.<SysResourceApi>lambdaQuery().eq(SysResourceApi::getResourceId, resourceId));
    }
}
